Bug 1093837 (CVE-2014-0198) - CVE-2014-0198 openssl: SSL_MODE_RELEASE_BUFFERS NULL pointer dereference in do_ssl3_write()
Summary: CVE-2014-0198 openssl: SSL_MODE_RELEASE_BUFFERS NULL pointer dereference in d...
Status: CLOSED ERRATA
Alias: CVE-2014-0198
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140421,repor...
Keywords: Security
Depends On: 1096233 1096234 1103604 1103605 1103632 1103633 1103741 1104349 1104350 1127889
Blocks: 1093849 1103601
TreeView+ depends on / blocked
 
Reported: 2014-05-02 19:09 UTC by Kurt Seifried
Modified: 2019-06-08 20:01 UTC (History)
56 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-06-11 05:27:28 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0625 normal SHIPPED_LIVE Important: openssl security update 2014-06-05 15:50:21 UTC
Red Hat Product Errata RHSA-2014:0628 normal SHIPPED_LIVE Important: openssl security update 2014-06-05 16:12:30 UTC
Red Hat Product Errata RHSA-2014:0679 normal SHIPPED_LIVE Important: openssl security update 2014-06-10 16:23:51 UTC

Description Kurt Seifried 2014-05-02 19:09:45 UTC
The OpenBSD Project reports:

An attacker can trigger generation of an SSL alert which could cause a null pointer dereference.

External references:
http://ftp.openbsd.org/pub/OpenBSD/patches/5.5/common/005_openssl.patch.sig
https://rt.openssl.org/Ticket/Display.html?user=guest&pass=guest&id=3321

Comment 1 Tomas Hoger 2014-05-05 09:23:04 UTC
This issue can happen when SSL_MODE_RELEASE_BUFFERS mode is enabled.  Support for SSL_MODE_RELEASE_BUFFERS was only introduced upstream in OpenSSL version 1.0.0, so this does not affect openssl packages in Red Hat Enterprise Linux 5 and earlier.

https://git.openssl.org/gitweb/?p=openssl.git;a=commitdiff;h=8671b89

In Red Hat Enterprise Linux 6, the only package that enabled SSL_MODE_RELEASE_BUFFERS is tog-pegasus.  There are other packages in several layered product run on top of Red Hat Enterprise Linux 6 - ruby193-ruby, nodejs, nodejs010-nodejs, haproxy15side.  These are included in one or more of the following products: Red Hat Software Collections, Red Hat OpenShift Enterprise, and Red Hat Enterprise Linux - OpenStack Platform.

Comment 3 Tomas Hoger 2014-05-09 13:40:34 UTC
Statement:

This issue did not affect the openssl packages shipped with Red Hat Enterprise Linux 5.

Comment 4 Tomas Hoger 2014-05-09 13:52:32 UTC
Created openssl tracking bugs for this issue:

Affects: fedora-all [bug 1096233]

Comment 5 Tomas Hoger 2014-05-09 13:52:38 UTC
Created mingw-openssl tracking bugs for this issue:

Affects: fedora-all [bug 1096234]

Comment 6 Tomas Hoger 2014-05-12 09:22:48 UTC
OpenSSL upstream commit, as applied to 1.0.1 branch:

https://git.openssl.org/gitweb/?p=openssl.git;a=commitdiff;h=b107586

The fix is not needed for master/1.0.2 branch, which already contains different fix for the issue, that upstream does not plan to backport to 1.0.1 and 1.0.0, see upstream bug for details.

https://git.openssl.org/gitweb/?p=openssl.git;a=commitdiff;h=3ef477c

Comment 9 Tomas Hoger 2014-06-05 11:44:08 UTC
Fixed upstream in OpenSSL 1.0.1h and 1.0.0m.

External References:

https://www.openssl.org/news/secadv_20140605.txt

Comment 10 errata-xmlrpc 2014-06-05 11:54:00 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0625 https://rhn.redhat.com/errata/RHSA-2014-0625.html

Comment 11 errata-xmlrpc 2014-06-05 12:15:51 UTC
This issue has been addressed in following products:

  Red Hat Storage 2.1

Via RHSA-2014:0628 https://rhn.redhat.com/errata/RHSA-2014-0628.html

Comment 12 Fedora Update System 2014-06-05 21:53:45 UTC
openssl-1.0.1e-38.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-06-05 21:54:40 UTC
openssl-1.0.1e-38.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 errata-xmlrpc 2014-06-10 12:25:21 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0679 https://rhn.redhat.com/errata/RHSA-2014-0679.html


Note You need to log in before you can comment on or make changes to this bug.